Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132710 - no need to bundle JSF lib for java ee 5...
no need to bundle JSF lib for java ee 5...
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Matthew Bohm
issues@javaee
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 01:50 UTC by _ ludo
Modified: 2008-07-10 15:15 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ ludo 2008-04-14 01:50:16 UTC
This is a regression from when the JSF from JPA wizard was done in Nb 4.x and 5.0

Create a web app, target GFv2 java EE 5
Create JPAs from a DB, then JSF from the JPAs.
At the end, you'll see the JSF and JSTL added to the Web app (package checkbox is selected).
Since JSF is part of Java EE 5, you should not bundle it in the Web App.
It even may break the new GlassFish V3.
Comment 1 _ potingwu 2008-04-14 02:07:53 UTC
Yes, I can reproduce it and see JSF 1.2 library been added after creating "JSF Pages from Entity Classes".
Comment 2 Matthew Bohm 2008-04-14 19:07:51 UTC
Where on the filesystem within the project does it reside? I am not seeing it.
Comment 3 _ ludo 2008-04-15 03:02:48 UTC
not incomplete.
Please follow the steps and see the project properties UI. This has nothing to do with a 'file system'  (what is the
definition of that anyway?).

YOu can also build the war, open it using  jar xvf or unzip to check it's content.
Comment 4 _ potingwu 2008-04-15 04:11:44 UTC
Right click on project node and select Properties, under category of Libraries you will see "JSF 1.2" library has been
added!
Comment 5 _ potingwu 2008-04-15 18:59:32 UTC
In the project, "nbproject/project.properties" has the following contents after adding "JSF Pages from Entity Classes":

    javac.classpath=\
        ${libs.jsf12.classpath}:\
        ${libs.jstl11.classpath}

Look into your codes, I think action "JSF Pages from Entity Classes" uses something like
ProjectClassPathModifier.addLibraries to add these 2 libraries.
Comment 6 Matthew Bohm 2008-04-16 23:20:51 UTC
Fix pushed to main.

changeset:   78149:990bb4fc98a6
user:        mbohm@netbeans.org
date:        Wed Apr 16 15:13:45 2008 -0700
summary:     JSF CRUD: Issue 132710 (no need to bundle JSF lib for java ee 5).

changeset:   78223:6b8e424e793e
tag:         tip
parent:      78222:7f5ef98cb065
parent:      78149:990bb4fc98a6
user:        mbohm@netbeans.org
date:        Wed Apr 16 15:18:43 2008 -0700
summary:     Automated merge with http://hg.netbeans.org/main/
Comment 7 Dan Kolar 2008-04-30 15:11:22 UTC
v.
Comment 8 pslechta 2008-05-27 14:50:49 UTC
The fix has been ported into the release61_fixes repository.

http://hg.netbeans.org/release61_fixes/rev/e9840a0c501d


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo